Doomsday Engine - Bug #1028

[X11] setres issue in fullscreen mode
2012-04-17 12:27 - vwv1

Status: Closed Start date: 2012-04-17
Priority: Normal % Done: 100%
Assignee: skyjake

Category:

Target version: 1.9.8 Candidate

Description

Changing resolution with control panel or by setres in fullscreen mode corrupts screen output. After changing resolution from
640x480 to 1280x1024 game screen has 640x480 resolution and placed in upper left corner of 1280x1024 desktop. Only lower left
part of screen is displayed if | exit to menu (please, see the attached screenshot). After changing from 1280x1024 to 640x480 only
background of the control panel is displayed until exit.

All works fine in windowed mode.

Labels: Graphics

History

#1 - 2012-04-15 07:44 - vvvi

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/624fbe34/6f22/attachment/doom2-001.jpg

#2 - 2012-04-17 12:27 - skyjake
How about with commit 1b28f3977?

#3 - 2012-04-17 14:09 - vvvi

It works fine now. The only issue with the gap between lines in resolution list. After changing resolution font size is changed in control panel, but gap
between lines stays unchanged. It's too big after switching to 640x480. And lines overlap on each other after switching to 1280x1024.

#4 - 2012-04-17 14:36 - skyjake

That is an unrelated (already known) issue related to updating Ul widget geometry after a window resize.

Closing this report as fixed...
